package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Resources list of the SSL VPN resource group
 */
@ApiModel(description = "Resources list of the SSL VPN resource group")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SslVpnResourceBriefInfo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  public SslVpnResourceBriefInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * ID of the SSL VPN resource brief
   * @return id
  */
  @ApiModelProperty(value = "ID of the SSL VPN resource brief")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public SslVpnResourceBriefInfo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Name of the SSL VPN resource brief
   * @return name
  */
  @ApiModelProperty(value = "Name of the SSL VPN resource brief")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SslVpnResourceBriefInfo sslVpnResourceBriefInfo = (SslVpnResourceBriefInfo) o;
    return Objects.equals(this.id, sslVpnResourceBriefInfo.id) &&
        Objects.equals(this.name, sslVpnResourceBriefInfo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SslVpnResourceBriefInfo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

